Bug 549578 (CVE-2009-4377) - CVE-2009-4377 wireshark: invalid pointer dereference in SMB/SMB2 dissectors
Summary: CVE-2009-4377 wireshark: invalid pointer dereference in SMB/SMB2 dissectors
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-4377
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://web.nvd.nist.gov/view/vuln/det...
Whiteboard: impact=moderate,source=vendorsec,repo...
Depends On: 549581 549582 549583 549584 549585 561099 833992
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-22 02:04 UTC by Vincent Danen
Modified: 2019-06-08 12:53 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-25 09:47:05 UTC


Attachments (Terms of Use)
upstream patch to correct the issue (1.46 KB, patch)
2009-12-22 02:06 UTC, Vincent Danen
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0360 normal SHIPPED_LIVE Moderate: wireshark security update 2010-04-20 15:31:15 UTC

Description Vincent Danen 2009-12-22 02:04:00 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-4377 to
the following vulnerability:

Name: CVE-2009-4377
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-4377
Assigned: 20091221
Reference: CONFIRM: http://www.wireshark.org/security/wnpa-sec-2009-09.html
Reference: CONFIRM: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4301
Reference: BID:37407
Reference: URL: http://www.securityfocus.com/bid/37407
Reference: OSVDB:61178
Reference: URL: http://osvdb.org/61178
Reference: SECTRACK:1023374
Reference: URL: http://www.securitytracker.com/id?1023374
Reference: SECUNIA:37842
Reference: URL: http://secunia.com/advisories/37842
Reference: VUPEN:ADV-2009-3596
Reference: URL: http://www.vupen.com/english/advisories/2009/3596

The (1) SMB and (2) SMB2 dissectors in Wireshark 0.9.0 through 1.2.4
allow remote attackers to cause a denial of service (crash) via a
crafted packet, as demonstrated by fuzz-2009-12-07-11141.pcap.

Comment 2 Vincent Danen 2009-12-22 02:06:23 UTC
Created attachment 379748 [details]
upstream patch to correct the issue

Comment 3 Vincent Danen 2009-12-22 02:14:21 UTC
This is corrected in the upstream 1.2.5 release of wireshark.

This release also corrected CVE-2009-4376 (buffer overflow in the daintree_sna_read function), but only affected versions 1.2.0 through 1.2.4 and as such did not affect Red Hat Enterprise Linux.  This CVE does affect Fedora 11 and 12.

It also corrected CVE-2009-4378 (IPMI dissector could crash when running on Windows), but only affected versions 1.2.0 through 1.2.4 on the Windows operating system.

CVE-2009-4377 does affect Red Hat Enterprise Linux 4 and 5.

Comment 8 Fedora Update System 2009-12-23 21:32:59 UTC
wireshark-1.2.5-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Vincent Danen 2010-01-29 01:20:53 UTC
This has been corrected upstream in the 1.0.x branch (1.0.11):

The SMB and SMB2 dissectors could crash.
Fixed in trunk: r31187
Fixed in trunk-1.2: r31211
Fixed in trunk-1.0: pending
Bug 4301
Versions affected: 0.9.0 to 1.0.10, 1.2.0 to 1.2.4
CVE-2009-4377

Comment 12 errata-xmlrpc 2010-04-20 15:31:24 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 3

Via RHSA-2010:0360 https://rhn.redhat.com/errata/RHSA-2010-0360.html


Note You need to log in before you can comment on or make changes to this bug.